Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class ListFile

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.ListFile

public class ListFile
extends java.lang.Object

Constructor Summary
`ListFile()`

Method Summary
`static void` | `parse(java.lang.String fn, java.util.Hashtable filesToMove)` Parse a list file, reading it in line by line, loading other list files recursively if necessary, and loading any files referred to into the filesToMove hash

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFile

    public ListFile()

Method Detail

### parse

    public static void parse(java.lang.String fn,
                             java.util.Hashtable filesToMove)

  Parse a list file, reading it in line by line, loading other list files recursively if necessary, and loading any files referred to into the filesToMove hash
  Parameters:
    `fn` - The name of the list file
    `filesToMove` - The hash to put the files into

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD